# Cancel Order V2

## Push the Order in Cancelled state

<mark style="color:green;">`POST`</mark> [`{{apiUrl}}fulfillment/orders/cancel_order_v2`](https://dev-api.evitalrx.in/v1/fulfillment/orders/cancel_order_v2)

The order can not be cancelled after accepted status.

#### Request Body

| Name                                         | Type   | Description                                                                           |
| -------------------------------------------- | ------ | ------------------------------------------------------------------------------------- |
| apikey<mark style="color:red;">\*</mark>     | String | Authentication token                                                                  |
| order\_id<mark style="color:red;">\*</mark>  | String | Order ID from the response of Place Order API.                                        |
| reason\_id<mark style="color:red;">\*</mark> | Number | ID of the reasons got from Get Reject Reasons API.                                    |
| reason                                       | String | <p>Other reason if any<br><br>if reason\_id is provided, then reason is optional.</p> |

{% tabs %}
{% tab title="200: OK Success" %}

```json
{
    "status_code": "1",
    "status_message": "Your order cancelled successfully.",
    "datetime": "2023-03-21 16:05:47",
    "ng_version": "0.0.378",
    "data": null
}
```

{% endtab %}

{% tab title="200: OK Validation Error" %}

```json
{
    "status_code": "0",
    "status_message": "order_id is required",
    "datetime": "2023-03-09 17:03:38",
    "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.evitalrx.in/api-for-fulfillment-portal/orders/cancel-order-v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
